#include "rapidcheck.h"

#include <vector>
#include <algorithm>

int main() {
  rc::check("double reversal yields the original value",
            [](const std::vector<int>& original) {
              auto clone = original;
              std::reverse(begin(clone), end(clone));
              std::reverse(begin(clone), end(clone));
              RC_ASSERT(original == clone);
            });

  return 0;
}
