#include <iostream>
#include <map>
#include <string>
#include <tuple>

int main() {
	std::map<std::string, int> name_to_uco{
		{ "Nikola Beneš", 72525 },
		{ "Vladimír Štill", 373979 },
		{ "Jan Mrázek", 422279 },
		{ "Lukáš Korenčik", 433793 },
	};

	auto [iter, inserted] = name_to_uco.emplace("Nikola Beneš", -1);
	if (inserted) {
		std::cout << "New element inserted.\n";
	} else {
		auto& [key, value] = *iter;
		std::cout << key << " with old value " << value << '\n';
		// key cannot be changed
		value = -1;
	}

	for (const auto& [key, value] : name_to_uco) {
		std::cout << key << ": " << value << '\n';
	}
}
