#include <memory>
#include <iostream>

struct Reporter {
	Reporter() { std::cout << "created\n"; }
	~Reporter() { std::cout << "destroyed\n"; }
};

int main() {
	auto ptr = std::make_unique<Reporter>();

	std::cout << "in main, before nested block\n";

	{
		auto ptr2 = std::move(ptr);

		if (ptr == nullptr) {
			std::cout << "ptr is null\n";
		}
	}

	std::cout << "in main, after nested block\n";
}
